summaryrefslogtreecommitdiffstats
path: root/gas/testscripts/dotest
diff options
context:
space:
mode:
Diffstat (limited to 'gas/testscripts/dotest')
-rwxr-xr-xgas/testscripts/dotest44
1 files changed, 44 insertions, 0 deletions
diff --git a/gas/testscripts/dotest b/gas/testscripts/dotest
new file mode 100755
index 0000000000..8c7a28c687
--- /dev/null
+++ b/gas/testscripts/dotest
@@ -0,0 +1,44 @@
+#!/bin/sh
+# ad hoc debug tool
+# $Id$
+
+x=$1
+y=$2
+
+xout=`basename $x`.xxx.$$
+yout=`basename $x`.yyy.$$
+
+mkdir $xout
+mkdir $yout
+
+for i in *.s
+do
+ echo Testing $i...
+ object=`basename $i .s`.o
+ $x $i -o $xout/$object
+ $y $i -o $yout/$object
+
+# if they cmp, we're ok. Otherwise we have to look closer.
+
+ if (cmp $xout/$object $yout/$object)
+ then
+ echo $i is ok.
+ else
+ if (doobjcmp $xout/$object $yout/$object)
+ then
+ echo Not the same but objcmp ok.
+ else
+ exit 1
+ fi
+ fi
+
+ echo
+done
+
+rm -rf $xout $yout
+
+exit 0
+
+# EOF
+
+
OpenPOWER on IntegriCloud